Bug 627409 - Your system may be seriously compromised! /bin/mount tried to modify SELinux enforcement.
Summary: Your system may be seriously compromised! /bin/mount tried to modify SELinux ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 14
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:434c18b9eb8...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-25 23:36 UTC by Adam Williamson
Modified: 2010-09-03 16:31 UTC (History)
3 users (show)

Fixed In Version: selinux-policy-3.8.8-20.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-01 06:03:51 UTC


Attachments (Terms of Use)

Description Adam Williamson 2010-08-25 23:36:00 UTC
Summary:

Your system may be seriously compromised! /bin/mount tried to modify SELinux
enforcement.

Detailed Description:

SELinux has prevented mount from writing to a file under /selinux. Files under
/selinux control the way SELinux is configured. All programs that need to write
to files under /selinux should have already had policy written for them. If a
compromised application tries to turn off SELinux this AVC will be generated.
This is a serious issue. Your system may very well be compromised.

Allowing Access:

Contact your security administrator and report this issue.

Additional Information:

Source Context                system_u:system_r:mount_t:s0
Target Context                system_u:object_r:security_t:s0
Target Objects                /sys/kernel/security [ dir ]
Source                        mount
Source Path                   /bin/mount
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           util-linux-ng-2.18-4.fc14
Target RPM Packages           
Policy RPM                    selinux-policy-3.8.8-14.fc14
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   setenforce
Host Name                     (removed)
Platform                      Linux (removed) 2.6.35.2-9.fc14.x86_64 #1
                              SMP Tue Aug 17 22:36:15 UTC 2010 x86_64 x86_64
Alert Count                   1
First Seen                    Wed 25 Aug 2010 04:29:06 PM PDT
Last Seen                     Wed 25 Aug 2010 04:29:06 PM PDT
Local ID                      0ff2ed06-3d20-45b2-bd25-703ef984fc4f
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1282778946.242:36): avc:  denied  { write } for  pid=2552 comm="mount" name="/" dev=securityfs ino=1 scontext=system_u:system_r:mount_t:s0 tcontext=system_u:object_r:security_t:s0 tclass=dir

node=(removed) type=SYSCALL msg=audit(1282778946.242:36): arch=c000003e syscall=21 success=no exit=-13 a0=7f3188d9e100 a1=2 a2=0 a3=7fffea3fac80 items=0 ppid=1 pid=2552 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="mount" exe="/bin/mount" subj=system_u:system_r:mount_t:s0 key=(null)



Hash String generated from  setenforce,mount,mount_t,security_t,dir,write
audit2allow suggests:

#============= mount_t ==============
#!!!! The source type 'mount_t' can write to a 'dir' of the following types:
# mount_tmp_t, tmp_t, var_t, user_home_dir_t, etc_t, nfs_t, tmpfs_t, var_run_t, user_home_t, mountpoint, etc_runtime_t, mount_var_run_t

allow mount_t security_t:dir write;

Comment 1 Adam Williamson 2010-08-25 23:37:14 UTC
this is an odd one. I don't *think* the system's compromised, it's just a laptop on my private network, not running any servers except sshd. I think the alert popped up while I was doing some poking around in /sys trying to debug broken bluetooth. Nothing but a console and usual background processes and GNOME running at the time.

Comment 2 Daniel Walsh 2010-08-26 11:19:17 UTC
No this is caused by systemd setting up automount points under /sys.

I believe it is fixed in selinux-policy-3.8.8-20.fc14.noarch

Which is in updates-testing.  Please test and update -karma

Comment 3 Fedora Update System 2010-08-26 11:22:44 UTC
selinux-policy-3.8.8-20.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/selinux-policy-3.8.8-20.fc14

Comment 4 Fedora Update System 2010-08-26 18:38:15 UTC
selinux-policy-3.8.8-20.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.8.8-20.fc14

Comment 5 Fedora Update System 2010-09-01 06:02:33 UTC
selinux-policy-3.8.8-20.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.